Debian Bug report logs - #683240
Wheezy live-boot (PXE) fails to bring up network interface.

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: David Smith <sidicas2@gmail.com>

Date: Mon, 30 Jul 2012 03:39:02 UTC

Severity: important

Tags: patch

Found in version live-boot/3.0~a35-1

Fixed in version live-boot/3.0~b1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#683240; Package live-boot. (Mon, 30 Jul 2012 03:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 30 Jul 2012 03:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: submit@bugs.debian.org
Subject: Wheezy live-boot (PXE) fails to bring up network interface.
Date: Mon, 30 Jul 2012 11:37:23 +0800
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 3.0~a35-1


Following the Debian Live-Boot manual here:
http://live.debian.net/manual/html/live-manual.en.html#257

I'm attempting to do a live-boot using PXE (network boot).

Everything seems to work fine until I get to the part where Debian Live
mounts the NFS partition.

The DHCP/NFS/TFTP server is as 192.168.1.100

From the server, I used this config to build the live boot image:

lb config -b net --net-root-path "/srv/debian-live" --net-root-server
"192.168.1.100" --archive-areas "main contrib non-free" --mirror-bootstrap
ftp://ftp.cn.debian.org/debian/ -d wheezy

From the server, I have these NFS exports set up:
exporting 192.168.1.0/24:/srv/debian-live
exporting 192.168.1.0/24:/mnt/Backups

From the server, I have this DHCP configuration options:


subnet 192.168.1.0 netmask 255.255.255.0 {
        range 192.168.1.101 192.168.1.200;
        filename "pxelinux.0";
        option domain-name-servers 192.168.1.1;
        option routers 192.168.1.1;
        option subnet-mask 255.255.255.0;
}


So then I have the thin-client start up and TFTP works as expected.

Then the thin-client gets to the part where it tries to bring up the
ethernet card.
Keep in mind the thin-client already pulled the Linux kernel from the
server and ran it
from TFTP.

It freezes for a solid minute at this screen....
http://imgur.com/lIWVL

After which it gives me this screen...
http://imgur.com/NRsLd


I tried to ping 192.168.1.100 but it said Network wasn't reachable.
I checked dmesg and the kernel *IS* finding the Realtek Ethernet hardware
and assigning it eth0.

So then I used ifconfig to manually set an IP address (192.168.1.101) and
subnet mask (255.255.255.0)
for this thin-client.

Then I could ping 192.168.1.100 no problem... But I'm not sure how to
resume the Live Boot process..
Why doesn't Live Boot use DHCP to bring the network interface up so that it
can then connect to the NFS server? I *KNOW* DHCP is working on the server
because the thin-client's BIOS already used DHCP to get the kernel via
TFTP.  I'm thinking this has got to be a bug with live-boot, but keep in
mind this is my first time attempting to create Live Boot images.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#683240; Package live-boot. (Tue, 31 Jul 2012 16:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Strickland, Carl" <carl.strickland@intel.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 31 Jul 2012 16:42:04 GMT) Full text and rfc822 format available.

Message #10 received at 683240@bugs.debian.org (full text, mbox):

From: "Strickland, Carl" <carl.strickland@intel.com>
To: David Smith <sidicas2@gmail.com>, "683240@bugs.debian.org" <683240@bugs.debian.org>
Cc: "Jim.Richardson@alacare.com" <Jim.Richardson@alacare.com>, "daniel.baumann@progress-technologies.net" <daniel.baumann@progress-technologies.net>
Subject: RE: Bug#683240: Wheezy live-boot (PXE) fails to bring up network interface.
Date: Tue, 31 Jul 2012 16:29:35 +0000
Hi David,

I've had a similar issue (I think) and it was reported on the list by Jim Richardson here:
http://lists.debian.org/debian-live/2012/07/msg00027.html

I haven't been able to resolve it and mailed my own follow-up to that message to the list here:
http://lists.debian.org/debian-live/2012/07/msg00161.html

Can you confirm two things for me?

- live.cfg has parameters netboot=nfs and nfsroot=192.168.1.100:/srv/debian-live
- Can you execute the following commands successfully at the fail prompt?
>ipconfig eth0
>mount -o nolock -o ro 192.168.1.100:/srv/debian-live /live/image
>ls /live/image

The first will confirm that we have the same setup as used in the above mailing list post (I think, since I'm getting the same error). The second will confirm that we can all manually set up our networks, mount our nfs paths, and view their contents but that it isn't happening automatically.

I'm more than happy to provide any additional information I can or help debugging this, but I've yet to receive a response from someone who can point me in the right direction.


Cheers,
Carl Strickland







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#683240; Package live-boot. (Fri, 03 Aug 2012 01:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Smith <sidicas2@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 03 Aug 2012 01:09:03 GMT) Full text and rfc822 format available.

Message #15 received at 683240@bugs.debian.org (full text, mbox):

From: David Smith <sidicas2@gmail.com>
To: "Strickland, Carl" <carl.strickland@intel.com>
Cc: "Jim.Richardson@alacare.com" <Jim.Richardson@alacare.com>, "683240@bugs.debian.org" <683240@bugs.debian.org>, "daniel.baumann@progress-technologies.net" <daniel.baumann@progress-technologies.net>
Subject: RE: Bug#683240: Wheezy live-boot (PXE) fails to bring up network interface.
Date: Fri, 3 Aug 2012 09:07:55 +0800
[Message part 1 (text/plain, inline)]
1) I cannot find the nfs configuration parameters I specified with lb
config inside the live.cfg file. I tried deleting the whole directory and
starting over from scratch after a live-boot update in wheezy.  Same
results.

2) mount fails saying it can't read /etc/fstab because it doesn't exist.
I'd imagine if I edit my live.cfg to put in the para,enters as you did, I
will no longer get this error.

3). Just as you noted in the mailing list, doing an exit two times at the
fail prompt causes a kernel panic.

So yes, identical situation.

I forgot to mention it, but I am building an amd64 live net boot image.
On Aug 1, 2012 12:29 AM, "Strickland, Carl" <carl.strickland@intel.com>
wrote:

> Hi David,
>
> I've had a similar issue (I think) and it was reported on the list by Jim
> Richardson here:
> http://lists.debian.org/debian-live/2012/07/msg00027.html
>
> I haven't been able to resolve it and mailed my own follow-up to that
> message to the list here:
> http://lists.debian.org/debian-live/2012/07/msg00161.html
>
> Can you confirm two things for me?
>
> - live.cfg has parameters netboot=nfs and nfsroot=192.168.1.100:
> /srv/debian-live
> - Can you execute the following commands successfully at the fail prompt?
> >ipconfig eth0
> >mount -o nolock -o ro 192.168.1.100:/srv/debian-live /live/image
> >ls /live/image
>
> The first will confirm that we have the same setup as used in the above
> mailing list post (I think, since I'm getting the same error). The second
> will confirm that we can all manually set up our networks, mount our nfs
> paths, and view their contents but that it isn't happening automatically.
>
> I'm more than happy to provide any additional information I can or help
> debugging this, but I've yet to receive a response from someone who can
> point me in the right direction.
>
>
> Cheers,
> Carl Strickland
>
>
>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#683240; Package live-boot. (Fri, 03 Aug 2012 08:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 03 Aug 2012 08:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 683240@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 683240@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Proposed fix
Date: Fri, 3 Aug 2012 10:39:26 +0200
[Message part 1 (text/plain, inline)]
package live-boot
severity 683240 important
tag 683240 + patch
thanks

Hello,

I ran into the same problem, so I looked and I fixed it. Basically, in 
netboot mode the function do_netsetup() from the initrd 
/lib/live/boot/networking.sh tries to configure each interface listed in 
$DEVICE, but this list is empty, so it configured zero interface.

The interface selection was done before by Select_eth_device() from 
/lib/live/boot/select-eth-device.sh, which is called by mountroot() from 
/lib/live/boot/mountroot.sh, so we can use it here by sourcing 
/conf/param.conf where $DEVICE is saved.

This patch is a git-formatted one, based at debian/3.0_a35-1 so that it 
can be applied to the current testing version, but it can apply to the 
unstable version as well (better do that with a merge however, if you 
ask me). I cannot consider this bug as grave, but I still think it 
should really get fixed in testing, to avoid releasing a Debian Live 
which would be unusable in netboot mode, you may want to ask the release 
team about that.

Regards,

-- 
 ,--.
: /` )   Tanguy Ortolo      <xmpp:tanguy@ortolo.eu>
| `-'    Debian Developer   <irc://irc.oftc.net/Tanguy>
 \_
[0001-Fix-networking-setup-in-netboot-mode.patch.gz (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Severity set to 'important' from 'normal' Request was from Tanguy Ortolo <tanguy+debian@ortolo.eu> to control@bugs.debian.org. (Fri, 03 Aug 2012 08:57:05 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Tanguy Ortolo <tanguy+debian@ortolo.eu> to control@bugs.debian.org. (Fri, 03 Aug 2012 08:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#683240; Package live-boot. (Sun, 05 Aug 2012 11:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 05 Aug 2012 11:45:03 GMT) Full text and rfc822 format available.

Message #29 received at 683240@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Cc: 683240@bugs.debian.org
Subject: Re: Bug#683240: Proposed fix
Date: Sun, 05 Aug 2012 13:41:55 +0200
On 08/03/2012 10:39 AM, Tanguy Ortolo wrote:
> The interface selection was done before by Select_eth_device() from
> /lib/live/boot/select-eth-device.sh, which is called by mountroot() from
> /lib/live/boot/mountroot.sh, so we can use it here by sourcing
> /conf/param.conf where $DEVICE is saved.

is this still needed after sourcing it earlier here:

http://live.debian.net/gitweb?p=live-boot.git;a=commitdiff;h=136c0fbab7f4c3a3bbe5d6738706dc2d01704809

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Thu, 16 Aug 2012 10:36:06 GMT) Full text and rfc822 format available.

Notification sent to David Smith <sidicas2@gmail.com>:
Bug acknowledged by developer. (Thu, 16 Aug 2012 10:36:06 GMT) Full text and rfc822 format available.

Message #34 received at 683240-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 683240-close@bugs.debian.org
Subject: Bug#683240: fixed in live-boot 3.0~b1-1
Date: Thu, 16 Aug 2012 10:32:43 +0000
Source: live-boot
Source-Version: 3.0~b1-1

We believe that the bug you reported is fixed in the latest version of
live-boot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 683240@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-boot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 16 Aug 2012 12:21:04 +0200
Source: live-boot
Binary: live-boot live-boot-doc live-boot-initramfs-tools
Architecture: source all
Version: 3.0~b1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-boot  - Debian Live - System Boot Scripts
 live-boot-doc - Debian Live - System Boot Scripts (documentation)
 live-boot-initramfs-tools - Debian Live - System Boot Scripts (initramfs-tools backend)
Closes: 681579 683240
Changes: 
 live-boot (3.0~b1-1) unstable; urgency=low
 .
   [ chals ]
   * Fixing build error in 'es' man pages caused by a newline conflict.
 .
   [ Daniel Baumann ]
   * Removing live-new-uuid, a rewritten one goes to live-tools.
   * Adding slightly modified patch from Steven Shiau
     <steven@nchc.org.tw> to transition to /run for network interface
     definition files which fixes resolv.conf creation for netboot.
 .
   [ Steven Shiau ]
   * Reading /conf/param.conf after Select_eth_device in main function to
     fix network booting (Closes: #683240).
 .
   [ Daniel Baumann ]
   * Moving reading of initramfs-tools functions to initramfs-tools
     script.
   * Consistently using case instead of if for conditionals in script
     boilerplate.
   * Laying tmpfs on /live/overlay only during initramfs stage, fixes
     boot failure with plain filesystems (Closes: #681579).
   * Correcting DNS inclusion in initramfs-tools hook, thanks to Steven
     Shiau <steven@nchc.org.tw> for reporting.
   * Simplifying usage of copy_exec function from hooks-function in
     initramfs-tools hook.
   * Using /etc/live/boot/*.conf instead of /etc/live/boot.d/*.conf and
     /live/image/live/boot/*.conf instead of
     /live/image/live/boot.d/*.conf for consistency reasons.
   * Reading configuration file from filesystem and live-media at runtime
     too.
   * Reading configuration files in initramfs-tools hook too.
 .
   [ Steven Shiau ]
   * Adding support for nameserver in ip= boot parameter.
 .
   [ Daniel Baumann ]
   * Making nameserver assignment from ip= bootparameter work with
     persistence.
   * Correcting permissions of /tmp which apparently somehow get mixed up
     along the way.
   * Updating scripts readme about transition to plugin based
     architecture.
Checksums-Sha1: 
 bc206822cfe435fa0fe9fa6fd6ac6f32c91019f4 1376 live-boot_3.0~b1-1.dsc
 ba3e237a5cbeb008b74801e619751d909d1824b0 59168 live-boot_3.0~b1.orig.tar.xz
 281909b5b385d8daf21a34ecfb48fbbeeac146c4 20828 live-boot_3.0~b1-1.debian.tar.xz
 5c995f8fa649551acf3114ca84e5b270c19a6cee 46452 live-boot_3.0~b1-1_all.deb
 6fd54f17076705b416d0471122dbeee4a92a66e0 50348 live-boot-doc_3.0~b1-1_all.deb
 d73f7394f2f3187e4c1351c40d0ecd48e7d1fdd5 24638 live-boot-initramfs-tools_3.0~b1-1_all.deb
Checksums-Sha256: 
 780f663acd95e9019669a7b0d0826ee4248a4151a715e4c24be308dfa77f18d3 1376 live-boot_3.0~b1-1.dsc
 186f72d7cf1032faac4280c80cfab67a261ea3aea31c2f8fb725b928a71ff0ad 59168 live-boot_3.0~b1.orig.tar.xz
 cc0317eb0d80444f8b778ce8b2fe51f2a77cbd076270918038e74ac16e1d9547 20828 live-boot_3.0~b1-1.debian.tar.xz
 82f8693326ba62f27a3083db2f1664356ab66e6047448b35bdfca12d37b4f211 46452 live-boot_3.0~b1-1_all.deb
 7c23bf688f17c8c45a9879f2b12563e7a434e823a5c26f4a710f19eceb42c24e 50348 live-boot-doc_3.0~b1-1_all.deb
 2906d3337262845ecdcbdc59db7982b35e23f0e9713ac19cacfb5365767a4302 24638 live-boot-initramfs-tools_3.0~b1-1_all.deb
Files: 
 8c2ec527c5cbe7fc8988d425d0e653cf 1376 misc optional live-boot_3.0~b1-1.dsc
 e6303d2bc2d7b7aa63c323760abede96 59168 misc optional live-boot_3.0~b1.orig.tar.xz
 048ebef189a521c9ca96bfdfba4ad66d 20828 misc optional live-boot_3.0~b1-1.debian.tar.xz
 fd4e19856800da47c2b38b0e8a7ea1d3 46452 misc optional live-boot_3.0~b1-1_all.deb
 1497e01462b6d5b8b3e62d8d506ef505 50348 doc optional live-boot-doc_3.0~b1-1_all.deb
 ee0c8f421c30fff0a3a9608508efe87a 24638 misc optional live-boot-initramfs-tools_3.0~b1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlAsy1sACgkQ+C5cwEsrK57LfgCdFlZ6MgzcvxZKjbhEHLX6kihU
N8gAn2PoLS20bPMc7zkO8trGTH+p2X+i
=TzIU
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:26:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:52:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.